UNIT uZaehler;
(* ******************************************************************** *)
(* K L A S S E : TZaehler                                               *)
(* -------------------------------------------------------------------- *)
(* Version     : 1.2                                                    *)
(* Autor       : S. Spolwig, OSZ-Handel I,  10997 Berlin                *)
(* Aufgabe     : stellt ein Objekt fuer ganze Zahlen zur Verfuegung.    *)
(* Compiler    : DELPHI 3.0                                             *)
(* ******************************************************************** *)

INTERFACE
(* ========================== Export ================================== *)
USES uZahl;
type
   TZaehler = class (TSpielzahl)
               public
                constructor Create ;
                procedure SetNull ;   virtual;
                procedure Erhoehen;   virtual;
              end;


IMPLEMENTATION
(* ==================================================================== *)

constructor TZaehler.Create ;
(* -------------------------------------------------------------------- *)
begin
  inherited Create;
end;

procedure TZaehler.SetNull;
(* -------------------------------------------------------------------- *)
begin
  Wert := 0;
end;

procedure TZaehler.Erhoehen;
(* -------------------------------------------------------------------- *)
begin
  inc(Wert);
end;


END. (* Unit *)